#ifndef _VIDTRANS_SHA1_H_
#define _VIDTRANS_SHA1_H_

#define vidtrans_SHA_DIGEST_LENGTH 20

typedef struct {
    unsigned long state[5];
    unsigned long count[2];
    unsigned char buffer[64];
} vidtrans_SHA1_CTX;

void vidtrans_SHA1Transform(unsigned long state[5], const unsigned char buffer[64]);
void vidtrans_SHA1Init(vidtrans_SHA1_CTX* context);
void vidtrans_SHA1Update(vidtrans_SHA1_CTX* context, const unsigned char* data, unsigned int len);
void vidtrans_SHA1Final(unsigned char digest[vidtrans_SHA_DIGEST_LENGTH], vidtrans_SHA1_CTX* context);
void vidtrans_SHA1(const unsigned char *data, unsigned int len, unsigned char md[vidtrans_SHA_DIGEST_LENGTH]);


#endif /* _VIDTRANS_SHA1_H_ */
